配置： 


事件：

时间名称 | 事件描述 |事件类型 |
---|---|---|
| `abort`              | 在播放被终止时触发,例如, 当播放中的视频重新开始播放时会触发这个事件 | Event类型对象 |
| `canplay`            | 在媒体数据已经有足够的数据（至少播放数帧）可供播放时触发。这个事件对应CAN_PLAY的readyState。 | Event类型对象 |
| `canplaythrough`     | 在媒体的readyState变为CAN_PLAY_THROUGH时触发，表明媒体可以在保持当前的下载速度的情况下不被中断地播放完毕。注意：手动设置currentTime会使得firefox触发一次canplaythrough事件，其他浏览器或许不会如此。 | Event类型对象 |
| `durationchange`     | 元信息已载入或已改变，表明媒体的长度发生了改变。例如，在媒体已被加载足够的长度从而得知总长度时会触发这个事件。 | Event类型对象 |
| `emptied`            | 媒体被清空（初始化）时触发。                           | Event类型对象 |
| `ended`              | 播放结束时触发。                                 | Event类型对象 |
| `error`              | 在发生错误时触发。元素的error属性会包含更多信息。参阅[Error handling] | Event类型对象 |(https://developer.mozilla.org/zh-CN/docs/Web/Guide/Events/Media_events#Error_handling)获得详细信息。 | Event类型对象 |
| `loadeddata`         | 媒体的第一帧已经加载完毕。                            | Event类型对象 |
| `loadedmetadata`     | 媒体的元数据已经加载完毕，现在所有的属性包含了它们应有的有效信息。        | Event类型对象 |
| `loadstart`          | 在媒体开始加载时触发。                              | Event类型对象 |
| `mozaudioavailable`  | 当音频数据缓存并交给音频层处理时                         | Event类型对象 |
| `pause`              | 播放暂停时触发。                                 | Event类型对象 |
| `play`               | 在媒体回放被暂停后再次开始时触发。即，在一次暂停事件后恢复媒体回放。       | Event类型对象 |
| `playing`            | 在媒体开始播放时触发（不论是初次播放、在暂停后恢复、或是在结束后重新开始）。   | Event类型对象 |
| `progress`           | 告知媒体相关部分的下载进度时周期性地触发。有关媒体当前已下载总计的信息可以在元素的buffered属性中获取到。 | Event类型对象 |
| `ratechange`         | 在回放速率变化时触发。                              | Event类型对象 |
| `seeked`             | 在跳跃操作完成时触发。                              | Event类型对象 |
| `seeking`            | 在跳跃操作开始时触发。                              | Event类型对象 |
| `stalled`            | 在尝试获取媒体数据，但数据不可用时触发。                     | Event类型对象 |
| `suspend`            | 在媒体资源加载终止时触发，这可能是因为下载已完成或因为其他原因暂停。       | Event类型对象 |
| `timeupdate`         | 元素的currentTime属性表示的时间已经改变。               | Event类型对象 |
| `volumechange`       | 在音频音量改变时触发（既可以是volume属性改变，也可以是muted属性改变）.。 | Event类型对象 |
| `waiting`            | 在一个待执行的操作（如回放）因等待另一个操作（如跳跃或下载）被延迟时触发。    | Event类型对象 |

事件名称 | 事件描述||
---|---|---|                                
| `showBar`            | 控制条显示                                    | 函数无参数|
| `hideBar`            | 控制条隐藏                                    | 函数无参数|
| `playerInit`         | 播放器初始化                                    | 参数为提示语| 
| `playerError`         | 视频初始化错误                                    | 函数参数为提示语|
| `control-next`       | 触发控制条的 next 事件                           | 函数无参数
| `control-cut-screen` | 触发控制条的截屏事件 ，回调函数的第一个参数是 图片的 base64 数据    | 函数参数是，base64 格式的图片|


属性：
player 是实例化后的一个对象
参数 | 描述和备注|
---|---|---
player.status | 播放中 1 * 结束 2 * 加载中 3 * 暂停 4||
player.isFullscreen | * true 全屏* false 非全屏
player.volume|当前音量
player.currentTime|当前播放时长
player.src| 当前播放地址
player.isLive|直播还是点播
player.duration|视频时长
player.muted|是否静音

调用方法： 

调用方法 | 说明
---|---
player.play() |视频播放
player.pause()  | 视频暂停

兼容性特殊说明：


由于js版本移动端播放器可能被系统播放器接管，所有在一些设备上存在一定的兼容性，所以我们有必要做一下特殊说明；

特殊属性 | 兼容说明
---|---
volumechange |音频音量改变时触发	该事件在IOS下设置volume无效，无法回调
control-cut-screen|进度条截屏时触发，在ios11之下设置volume无效，无法回调
autoplay|设置自动播放，无法自动播放；如360手机（1603-A03系列）三星（SM-G9350）系列、魅族（M57OQ-S）系列 、OPPO 系列、华为（KNT-AL10）、iOS手机



  
配置示例：

```javascript

// div 标签名
  wrapper: '#player',
  // 视频格式
  box: 'native',
  isLive: false, // 是否直播
  businessId: 'huajiao', // bid
  channelId: 'live_huajiao_v2', // 用来区分那个渠道
  // 默认颜色
  majorColor:'#f00',
  volume: 0, // 默认音量
  sn: "http://yunxianchang.live.ujne7.com/vod-system-bj/103_371ab0c0fda-143d-4755-8727-d3cd12dce02d.mp4",//必填 用来获取视频地址
  autoplay: true, // true / false 是否自动播放
  playsInline: true, // true / false 是否同层播放
  preload: true, // 是否预加载
  x5VideoPlayerFullscreen: true, // 是否是同层播放全屏
  x5VideoOrientation: 'landscape', // 屏幕横屏 landscape | 竖屏 portrait | 随设备旋转 landscape|portrait
  xWebkitAirplay: true, // ios。airplay 
  // 静音
  muted: true,
  // 不支持的浏览器列表， 默认列表 ['UCBrowser', 'UCBrowser', 'QQBrowser']
  disableUA: []，
  volume: 1, // 0 - 1 之间，初始音量
  // 控制条
  {
    name: 'chimeeMobiControlbar',
    children: {
      // play 播放

      play: { 
        icon : {
          play: `xx`,
          pause: `xx`
        }
      }

      // next 下一个

      next: {
        icon : `xx`,
        url: `www.xx.xx` // 设置下一个播放地址
      }
      
      // status 直播 / 点播
      status: {
        char： { // 直播点播对应的表识符
          vod: '点播',
          live: '直播'
        }
      }

      // currentTime 当前时间
      currentTime: true /false 

      // totalTime  总时间
      totalTime: false /true

      // progressBar 进度条
      progressBar: true / false(只隐藏，具有占位功能)

      // volume 音量
      volume: {
        icon : {
          on: `xx`,
          of: `xx`
        }
      }

      // clarity 清晰度
      clarity: {
        list: [ // 列表
          {name: '标清', src: 'http://yunxianchang.live.ujne7.com/vod-system-bj/103_368b70a5d4f-c5cc-42ff-b442-004168fc86a3.mp4'},
          {name: '高清', src: 'http://yunxianchang.live.ujne7.com/vod-system-bj/103_369ed890f51-1c38-42a7-9ce2-828492660c60.mp4'},
          {name: '超清', src: 'http://yunxianchang.live.ujne7.com/vod-system-bj/103_370cc2f40bd-a39f-472a-884f-f44fcd9c5ae0.mp4'},
          {name: '原画', src: 'http://yunxianchang.live.ujne7.com/vod-system-bj/103_371ab0c0fda-143d-4755-8727-d3cd12dce02d.mp4'}
        ]
      }


      // cut 截屏

      next: {
        icon : `xx`
      }


      // screen 全屏与否

      screen {
        icon : {
          small: `xx`,
          full: `xx`
        }
      }
    },
    timerInterval: 2000 // 隐藏延迟时间
  }

  // 中间按钮
  {
    name: 'chimeeState',
    icon: {
      loading: ``,
      pause: ``,
      play: ``
    },
    timerInterval: 2000 // 隐藏延迟时间
  }
```

